Bug 239091 - Review Request: halberd - Tool to discover HTTP load balancers
Summary: Review Request: halberd - Tool to discover HTTP load balancers
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-04 20:32 UTC by Sindre Pedersen Bjørdal
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-27 04:31:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2007-05-04 20:32:04 UTC
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/halberd.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/halberd-0.2.1-1.fc7.src.rpm

Description:
Halberd discovers HTTP load balancers. It is useful for web application
security auditing and for load balancer configuration testing

Comment 1 Jason Tibbitts 2007-05-07 05:31:17 UTC
Seems like an interesting package; I'll take a look.

Comment 2 Jason Tibbitts 2007-05-07 06:00:20 UTC
Not much to say here; a clean package which builds and runs fine.  rpmlint has
nothing to say.  The only thing I can really say is that you're supposed to
choose one of the defines at the top of the spec (in this case, the "sitelib"
one) and then delete the other line and the comment.  This isn't a big deal.

It would be nice if upstream would consider including the license text.  Right
now the installed package contains nothing which actually indicates the licence;
only the PKG-INFO and setyp.py files in the tarball have it.  Perhaps you could
ping them about it.

* source files match upstream:
   7c31ccd75cb9932150f699975f11f7750c13f8b6593db9c41b293d4408ce8474  
   halberd-0.2.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   halberd = 0.2.1-1.fc7
  =
   /usr/bin/python
   python(abi) = 2.5
* %check is not present; not possible to run tests without network access.
  Manual testing reveals no issues.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la droppings.
* not a GUI app.

APPROVED

Comment 3 Sindre Pedersen Bjørdal 2007-05-07 09:40:15 UTC
New Package CVS Request
=======================
Package Name: halberd
Short Description: Tool to discover HTTP load balancers
Owners: foolish@guezz.net
Branches: FC-6 EL-4 EL-5
InitialCC: jaa@redhat.com

Comment 4 Jason Tibbitts 2007-05-15 17:51:16 UTC
Please don't forget to close this bug once the package has been imported and built.

Comment 5 Sindre Pedersen Bjørdal 2007-05-23 15:08:43 UTC
Seems the F7 branch wasn't created during merge, please add it.

New Package CVS Request
=======================
Package Name: halberd
Short Description: Tool to discover HTTP load balancers
Owners: foolish@guezz.net
Branches: FC-6 EL-4 EL-5 F-7

Comment 6 Jens Petersen 2007-05-27 04:31:33 UTC
Please do not reopen a Review bug for a cvs request, it should left in its
final closed state.  CVS Admins are notified of the cvs flag.

F-7 branch added.


Note You need to log in before you can comment on or make changes to this bug.